Skip to content

Create a signature for a self-declared human bond

POST
/signatures/self-declared-humanity-bond
curl --request POST \
--url https://api.ethos.network/api/v2/signatures/self-declared-humanity-bond \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'

Creates a signed payload for submitting a self-declared HUMAN bond to the blockchain. Any user with an Ethos profile can create one. Limited to one per profile.

Successful response

Media typeapplication/json
object
statement
required
string
expiration
required
string
amount
required
string
amountType
required
string
metadata
required
string
randValue
required
number
signature
required

65-byte ECDSA signature (0x-prefixed hex, 132 chars)

string
bondType
required
string
Allowed value: SELF_DECLARED_HUMAN

Example

{
"bondType": "SELF_DECLARED_HUMAN"
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}